Update Blueprint Job
HTTPBearerAuthorizationBearer <token>id*Idapplication/json- body
name*Namedescription?string|nulljob_type*Job Typeinput_data?string|nullSuccessful Response
application/json- response
name*Namedescription?string|nulljob_type*Job Typeinput_data?string|nullid*Idowner_id?integer|nullcreated_at?|nullupdated_at?|nullworkflow_usage_count?Workflow Usage Count0execution_count?Execution Count0curl -X PUT 'https://app.copyhero.app/api/v1/blueprints/jobs/0' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "job_type": "string"}'{ "name": "string", "description": "string", "job_type": "string", "input_data": "string", "id": 0, "owner_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "workflow_usage_count": 0, "execution_count": 0}Read Blueprints GET
List TaskBlueprints with filtering, searching, and sorting. Filters: - search_query: Search in name and description (ILIKE) - owner_id: Filter by owner ID (superuser only) - owner_user_id: Filter by the owning user's organizations (superuser only) - owned_only: Restrict to the current user's own blueprints (excludes global and other users' rows) - must_include_job_type: Restrict to blueprints whose jobs include this type - sort_by: Sort by created_at, updated_at, or name - sort_order: Sort direction (asc or desc) - skip: Number of records to skip for pagination - limit: Maximum number of records to return
Update Blueprint PUT
Update a TaskBlueprint. A global workflow may only use global tasks (422 otherwise).